//  Copyright © Microsoft Corporation
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.

output "id" {
  description = "The virtual network Id"
  value       = azurerm_virtual_network.main.id
}

output "name" {
  description = "The virtual network name"
  value       = azurerm_virtual_network.main.name
}

output "address_space" {
  description = "The address space of the virtual network."
  value       = azurerm_virtual_network.main.address_space
}

output "subnets" {
  description = "The ids of subnets created inside the virtual network."
  value       = azurerm_subnet.main.*.id
}